Name:           seed
Version:        2.31.91
Release:        2%{?dist}
Summary:        GNOME JavaScript interpreter

Group:          Development/Languages
License:        LGPLv3+
URL:            http://live.gnome.org/Seed
Source0:        http://ftp.gnome.org/pub/gnome/sources/seed/2.31/seed-%{version}.tar.bz2
Source1:        README.Fedora

BuildRequires:  dbus-glib-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gnome-js-common-devel
BuildRequires:  intltool
BuildRequires:  mpfr-devel
BuildRequires:  readline-devel
BuildRequires:  sqlite-devel
%if 0%{?fedora} > 14
BuildRequires:  webkitgtk3-devel
%else
BuildRequires:  webkitgtk-devel
%endif
BuildRequires:  gtk-doc

Patch0:         seed-libs.patch
Patch1:         seed-gdk3.patch

BuildRequires:  automake autoconf libtool
Requires:       gnome-js-common

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the GNOME
platform. Seed serves as something which enables you to write
standalone applications in JavaScript, or easily enable your
application to be extensible in JavaScript.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    doc
The %{name}-doc package contains documentation for
developing applications that use %{name}.


%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1 -b .libs
%if 0%{?fedora} > 14
%patch1 -p1 -b .gdk3
%endif

mkdir m4
autoreconf -i -f

# add lib64 to dlsearch_path_spec
sed -i.libdir_syssearch -e \
  '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
  configure
sed -i.cflags -e \
  's|^\([ \t][ \t]*\)CFLAGS=\"[^\$].*$|\1true|' \
  configure
# remove unneeded shebang
(cd extensions &&
    touch -r repl.js{,.timestamp} &&
    sed -i '1,2d' repl.js &&
    touch -r repl.js{.timestamp,} &&
    rm repl.js.timestamp)


%build
%configure \
%if 0%{?fedora} > 14
  --with-webkit=3.0
%else
  --with-webkit=1.0
%endif
make V=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

# grab developer docs
mv $RPM_BUILD_ROOT%{_docdir}/seed devdocs
# remove files already bundled with main package
rm devdocs/{AUTHORS,COPYING,INSTALL,README}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README README.Fedora
%{_bindir}/seed
%{_libdir}/*.so.*
%{_libdir}/seed
%{_datadir}/seed
%{_datadir}/man/man1/seed.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/seed
%{_libdir}/pkgconfig/seed.pc
%{_libdir}/*.so

%files doc
%defattr(-,root,root,-)
%doc devdocs/*
%{_datadir}/gtk-doc/html/seed


%changelog
* Fri Nov  5 2010 Michel Salim <salimma@fedoraproject.org> - 2.31.91-2
- Only build against GTK+ 3.0 on Fedora > 14

* Wed Sep 29 2010 Colin Walters <walters@verbum.org> - 2.31.91-1
- New upstream version

* Mon Jul 12 2010 Colin Walters <walters@verbum.org> - 2.31.1-3
- Rebuild against new gobject-introspection

* Mon Jul  5 2010 Michel Salim <salimma@fedoraproject.org> - 2.31.1-2
- Rebuild for webkitgtk soname change

* Tue Jun 22 2010 Michel Salim <salimma@fedoraproject.org> - 2.31.1-1
- Update to 2.31.1

* Fri Jun 18 2010 Michel Salim <salimma@fedoraproject.org> - 2.30.0-2
- Incorporate review recommendations (bz #600638)
- Remove unneeded shebang in repl.js
- Make -doc noarch

* Mon Mar 29 2010 Michel Salim <salimma@fedoraproject.org> - 2.30.0-1
- Initial package
